Hamlib -- History of visible changes.

Copyright (C) 2000-2003  Frank Singleton
Copyright (C) 2000-2023  Stephane Fillod, and others
Copyright (C) 2000-2025  Michael Black W9MDB, and others

Please send Hamlib bug reports to hamlib-developer@lists.sourceforge.net


Version 5.x -- future
        * rig_get_conf deprecated and replaced by rig_get_conf2
        * rot_get_conf deprecated and replaced by rot_get_conf2
        * Change FT1000MP Mark V model names to align with FT1000MP

Version 4.7.0
        * 2025-12-01 (target)

Version 4.6.5
        * 2025-09-05
        * Update Kenwood CW buffer max message size, fix one byte buffer
          overrun in icom.c.  (TNX George Baltz).
        * Fix Segmentation Fault in rigs/dummy/netrigctl.c. (TNX Daniele Forsi)
        * Fix segfault with set_parm KEYERTYPE in rigctl_parse.c. (TNX Daniele
          Forsi)

Version 4.6.4
        * 2025-07-18--Hamlib's 25th birthday!!!
        * Fix handling of unprintable characters in kenwood.c that broke radios
          such as the TM-D710/TM-V71 that use EOM_TH (\r) as the command terminator.
          (TNX, Lars Kellogg-Stedman and George Baltz).
        * Fixed jrc_set_chan. (TNX Mark Fine).
        * Fix memory leak in rigctl_parse.c and use unique separator character
          for each rigctld connection--closes GitHub #1748. (TNX George Baltz).
        * Fix powerstat check for Icom R75 which rejects the command.  (TNX Mark Fine).
        * Restore TS-590S/SG RIG_LEVEL_RFPOWER_METER, Fix rotctl \dump_caps output
          (TNX, George Baltz).
        * Add CW sending capability to Flex SmartSDR.  (TNX Michael Morgan)
        * Handle spaces correctly for Fles SmartSDR.  (TNX Michael Morgan)

Version 4.6.3
        * 2025-06-10
        * Release dedicated to the memory of Michael Black, W9MDB (SK).  Mike was a
          long-time contributor to Hamlib and led development of the project for over
          five years from 2020 to 2025.  Mike passed away on March 28, 2025 due to
          complications from ALS (Lou Gehrig's disease).

        * Fix various typos in Doxygen tags.  (TNX Daniele Forsi)
        * JRC: Removed RIG_FUNC_FAGC from 535D as erroneous, Added RIG_FUNC_NB2
          functionality to both 535D and 545. (TNX Mark Fine)
        * Restore IC-7300 spectrum data callback - regression in 4.6 (n3gb)
        * Add locking to rig_[gs]et_level() - fixes sending CW from tlf (n3gb)
        * Fix attempt to use memory returned by setlocale() after being freed (TNX Mooneer Salem)
        * Language bindings configuration and build fixes (TNX Daniele Forsi)
        * Various build system and compilation fixes (TNX Daniele Forsi)
        * IC-705 filter selection bandwidth for FM and WFM (TNX Kenji Rikitake)
        * IC-705 COMP, VD, and ID meter calibration values (TNX Kenji Rikitake)
        * Fix ACLog thousands separator
        * Documentation updates, typo fixes, man page fixes (TNX Daniele Forsi)
        * Drop redundant token lookups and make local functions static (TNX George Baltz)
        * Fix rigctl showing hamlib_verson when connecting to rigctld
        * Add rig CODAN 2110

Version 4.6.2
        * 2025-02-09
        * Add missing levels for IC746/PRO RIG_LEVEL_RFPOWER_METER,RIG_LEVEL_RFPOWER_METER_WATTS,RIG_LEVEL_SWR,RIG_LEVEL_ALC
        * Fix IC905 for gpredict
        * Fix potential segfault on QMX 
        * Fix pmr171
        
Version 4.6.1
        * 2025-01-21
        * Fix C++ builds failing on rig_list_foreach function
        * Fix IC9100 rigctld startup to end up on VFOA
        * Fix grig build by removing sys/socket.h -- apparently not needed
        * Add new QMX entry to fix incompability with QDX
        * Fix IC746/PROT to not use data byte
        * FLRig to add DATA-U DATA-L modes
        * Fix TS570 RIG_LEVEL_STRENGTH with cal table
        * Remove get_powerstat from IC785X -- not supported
        * Fix SDRConsole by removing lots of things it does not have

Version 4.6
        * 2024-12-24
	* send_raw can now take hex digits as colon-separated -- e.g. send_raw icom xfe:xfe:x94:xe0:03:xfd
	* Add IC7760
        * IC7300 Mode filter can now be set by # (i.e. 1,2,3) 
        * Fixed AF6SA WRC rotor controller
        * Added Rhode&Schwarz XK852
        * Added Xiegu X6200
        * Added Commradio CTX-10
        * Added Guoehe PMR-171
        * Added csntechnoligies.net S.A.T Satellite rotor control
        * Added PSTRotator control
        * Added Flex SmartSDR slices A-H
        * Added Motorola Micom M2/M3
        * Added SDR Radio SDRConsole -- TS-2000 is now hardware flow control so need separate entry
        * Added --set-conf=filter_usb, filter_usbd, and filter_cw to allow Icom rigs set mode to set filter number too
        * Added macros for applications to obtain pointers to Hamlib structures(issues #1445, #1420, #487).
          Internal conversion is still a WIP, but use of these macros will make the final cutover transparent to applications. 
        * Added Guohe Q900 entry 
        * Unify behavior of all rigctl split commands
          * Make the set_split_* commands modify the state of the specified split VFO -- the current or targeted VFO do not have any effect
          * Make the set_split_* commands enable split automatically if not enabled
          * Make the get_split_* commands return frequency of 0 Hz, mode NONE and filter of 0 Hz if split is not enabled
          * Allow all split commands to avoid VFO swapping if supported by the rig model
        * Improve Icom backend to set/get frequency, mode and filter without VFO swapping if supported by the rig model
        * Improve Yaesu newcat backend split handling
        * Expose "Targetable features" (RIG_TARGETABLE_*) in dump_caps output to allow clients to determine which commands can be executed without VFO swapping
        * Added RIG_FUNC_SYNC for FTDX101D/MP
        * Added Barrett 4100
        * Added DL2MAN (tr)uSDX -- needs refinement
        * Added Thetis entry -- derived from FlexRadio/Apache PowerSDR
        * Added VOICE/CW memory capability to many rigs -- thanks to David Balharrie M0DGB/G8FKH
        * Add -# --skip_init option to rigctl to skip rig initialization -- useful for executing commands quickly
        * rig_caps is no longer constant -- this may break some 3rd party relying on the "const" declaration.  Here's an example of how to handle compatibility.
#ifdef RIGCAPS_NOT_CONST
static int add_to_list(struct rig_caps* rc, void*)
#else
static int add_to_list(const struct rig_caps* rc, void*)
#endif

        * IC7610 now has IPP, DPP, and TX_INHIBIT functions set/get
        * Hamlib now starts a multicast server that sends out rig information.  Does not receive commands yet.
          See README.multicast

        * rigctld has new -b/bind-all option to try all interfaces -- restores original behavior.  This was done to fix duplicate rigctld instances on Windows
        * Yaesu rigs can now use send_morse to send keyer message 1-5 or a CW message up to 50 chars (which will use memory 1)
        * rig set level METER can now take SWR,COMP,ALC,IC/ID,DB,PO,VDD,TEMP arguments to set which meter to display
        * reg get level displays meter number=name now
        * Added parm BANDSELECT for Yaesu rigs
            'p BANDSELECT' returns current band of VFOA
            'P BANDSELECT BAND160M' example selects the 160M band
            'P BANDSELECT ?' shows  bands available for the rig
        * Added rig_cm108_get/set_bit to API and get/set_gpio to rigctl(d) for GPIO1,2,3,4 access on CM108
        * Added BG2FX FX4/C/CR/L
        * Fixed IC7610 to use new 0x25 0x26 command added in latest firmware
        * Fix W command in rigctld to work properly -- can take terminating char or # of bytes to expect
        * Add rig_set_debug_filename so Python can redirect debug stream
        * Fix Yaesu LBL_NR to use proper values
        * Add IC-905
        * Add Anytone D578UVIII -- should work on any D558 model and perhaps others too
        * Add saebrtrack rotor https://sites.google.com/site/marklhammond/saebrtrack
        * Add offset_vfoa and offset_vfob applying to rig_set_freq
        * Fix K4 to put it in K40 mode when requesting ID
        * Fixes for M2 Rotors
        * Add rigctlsync utility to synchronize frequency from a rig to SDR# (or others)
        * Add SDR# rig for use with SDR#'s gpredict plugin -- can only get/set freq 
        * Add Apex Shared Loop rotator -- unidirectional only so far
        * Add client_version to rigctld so client can report it's version for future use/compatibility/alternatives
        * Add --set-conf=tuner_control_pathname=hamlib_tuner_control (default)
          If file exists then it will be called with 0/1 (Off/On) argument
          with 'U TUNER 0' or 'U TUNER 1"
          Default path is for current directory
        * Add MDS 4710/9710 rigs
        * Add FLIR PTU-D48, E46, D100, D300 rotors
        * Fix FTDX3000 rig split

Version 4.5.6
        * Fix rigctld/rigctltcp information
        * Fix FT817 get/set_vfo

Version 4.5.5
        * 2023-04-05
        * Add park to rotorez.c
        * Fix rig power on/off from rigctl cmd line and rigctld
        * Enable async mode by default to prevent WSJT-X crash on IC9700 with transceive on
        * Fix IC7610 get_powerstat to disable it -- cannot read power status
        * Fix K3 K22 command error for remote operations
        * Fix Gemini DX1200 gemini_set_level
        * Fix async I/O to not call flush
        * Change EX startup commands for Yaesu rigs to allow errors...Win4Yaesu not recognizing EX commands
        * Fix jst145 set_freq and get_freq
        * Restore tcflush as some odd behavior was seen that tclush fixes
        * Fix XG3 operations
        * Separate the validation cmd in newcat.c to allow rig post_write_delay to be in effect
        * Increase post_write to 20ms for FT710
        * Add attenuator level control for TS890
        * Update SMeter/SWR tables for TS890
        * Add fix for TMD700
        * Improve FT-857 get_vfo response when error occurs
        * Allow FT-857 to use cached vfo on get_vfo when error occurs reading EEPROM
        * Fix FTDX10 FT710 set_level AF
        * Fix FT-450D detection
        * Fix VFO A/B swapping for gpredict -- hopefully better behavior for VFO swapping rigs
          Should avoid setting RX freq while TX and avoid TX freq while RX
        * Fix QRP QDX PTT to new TQ command due to firmware changes
        * Remove EX103 check for FTDX5000
        * Fix K3/K3S VFOB setting of mode/width
        * Fix AGC level display in rigctld
        * Change FTDX10 to no serial handshake
        * Add TS2000 to has_ps exception
        * Add FT991 to 60M exception
        * Fix get_powerstat bad call in rigctl_parse.c
        * Really fix CM108 ptt_bitnum usage
        * Fix Elecraft power2mW precision/accuracy
        * Fix power on/off/on for Icom rigs with rigctld power_on=0
        
Version 4.5.4
        * 2023-01-10
        * Fix CM108 ptt setting for non-default usage
        * Fix power on/off for Icom rigs with rigctld power_on=0
        * Fix get_powerstat status return for non-PS kenwood rigs
        * Fix FT-710, FTDX10, FTDX101D/MP usage on 60M
        * Fix timing on NRD-535D
        * Fix AGC levels with rigctld
        * Fix FTDX3000 EX039 error
        * Fix Elecraft power2mW operation
        * Fix rig_power2mW so it checks all ranges
        * Allow rigctld to start with autopower_on=0 to avoid startup timeouts when rig is powered off
        * Fix dummy device to work with grig by disallowing empty "u" call
        * Fix ID5100 and promote to stable and hopefully ID4100 too
        * Remove get_powerstat from Icom ID-5100,ID-4100,ID-31,ID-51 and fix get/set freq in all

Version 4.5.3
        * 2022-12-31
        * Fix serial.c for hardware flow control on Linux and MacOSy
        * Add QRPLabs QCX/QDX rig -- not quite a TS480
        * Fix QRP QRDX firmware bugs in IF message so PTT works now
        * FTDX5000 will now remember startup front/read settings and restore it
        * Fix FTDX5000 write_delay with microham
        * Fix grep error on MingW build

Version 4.5.2
        * 2022-12-23
        * Fix PowerSDR ability to do commands while powered off
        * Fix TX-500 operations
        * Fix FTDX5000 to return to MIC input on closing
        * Fix rig.c calling rig_get_mode when backend does not have get_mode
        * Fix kenwood_ts890_get_level
        * Add Prosistel D elevation CBOX az to fix problem with azimuth control
        * Fix FT736R gpredict usage by adding cached get_freq
        * Fix get_powerstat problem with Log4OM/Flex and others
        * Fix -R option to not need argument
        * Fix -R option to close rig on last rigctld client disconnect
        * Add FTDX1200 to rigs that need to ensure PTT is off before changing frequency
        * Add --disable-parallel configure option for mingw builds on Linux

Version 4.5.1
        * 2022-12-08
        * FT2000, FTDX3000/D, FT891, FT991, FT950, FTDX5000 now set CAT TOT to 100ms
        * Add missing NB2 setting to FT-950, FTDX-1200, FT-2000, FTDX-3000, FTDX-5000, FTDX-9000
        * Add missing meter reading to TS-890S -- thanks to Geore Baltz N3GB
        * Fix FT736 VFOB freq and mode set
        * Added send_raw to rigctl -- see rigctl man page
        * Fix AGC Level dumpcaps on most rigs
        * Fix rig_send_raw to return bytes read, fill buffer, and also work with fixed length response/null terminator
        * Change all Kenwood rigs to 500ms serial timeout
        * Fix dumpcaps filter printout to only show declared filters
        * Fix triggering PTT on XGComms device on Linux
        * Fix level_gran in all rigs
        * Add RIG_FUNC_TUNER to flrig.c
        * Fix FT-991 level_gran (needs to be done for lots of rigs)
        * Fix man page rigctl to show units for LEVEL items
        * Fix Flex6xxx if_len
        * Fix FLRig set_ptt
        * Fix missing KEYSPD to TS890
        * rigctl 'W' command can now use a singled char terminator like ; that allows for variable length responses with no timeout -- e.g.  W FA; ;
        * New RIG_LEVEL_USB_AF to control audio gain from rig to computer -- to allow AGC function in software using RF and USB_AF
        * Add RIG_LEVEL_AGC_TIME to allow AGC/OFF to be set for IC-7300, IC-9700, IC-705
        * Add RIG_FUNC_OVF_STATUS to get overflow status for IC-7300, IC-9700, IC-705, and IC-R8600

        
Version 4.5
        * 2022-10-30
        * New rotator utility https://www.pianetaradio.it/blog/catrotator/
        * Add FT-710
        * Add Rohde&Schwartz EK89X receiver
        * Add Xeigu X5105
        * Add Gemini DX-1200 HF-1K Amplifiers
        * Kenwood rigs should now support AI command packets
        * Add FT-990UNI for older 990 ROMs 1.2 and earlier
        * Add FT-650
        * Add get_separator and set_separator and -S option for rigctld -- node-red applicability
        * Add GRBLTRK rotor project -- two axis rotor
        * Add SDRPlay SDRUno rig -- can now use Data/Pkt in WSJTX
        * Add ability to use cat_string to FLRig via the "w" and "W" commands
        * Add -B/--mapa2b to rigctlcom
          Allows rigctlcom to map set_freq on VFOA to VFOB instead
          This will allow CW Skimmer to work with some rigs (e.g. IC7300) using FM
          mode on VFOA and CW mode on VFOB and split mode transmit on VFOB.
          Clicking on CW Skimmer will change VFOB instead of VFOA to allow working
          dxpeditions where the fox is staying on frequency
        * Add password capability to rigctld via -A switch. 
          rigctld -A will produce a consistent shared key for any specific password that can used in \password and rig_set_password
          TBD The shared key can also be placed in .hamlib_settings 
        * Asynchronous rig data output handling to support transceive and spectrum data. Mikael, OH3BHX
          Example for the IC-7300 to multicast on port 20001 and provide async rig information
          rigctld --port=20001 --model=3073 --serial-speed=115200 --rig-file=/dev/serial/... --set-conf=rts_state=OFF --set-conf=dtr_state=OFF --multicast-addr=224.0.0.1 --multicast-port=20001 --set-conf=async=1
          Also, spectrum data output needs to be enabled with: \set_func SPECTRUM 1
        * See new set_conf option async for some Icom rigs
        * Multicast UDP packet output for asynchronous data. Mikael, OH3BHX
        * Rig state poll routine to serve commonly used data like frequency and mode from cache. Mikael, OH3BHX
        * deprecated hamlib_port_t at front of rig_state structure -- new one at end of structure
        * New rig_send_raw to send/read raw command to rig
        * New RIG_LEVEL_BAND_SELECT for Yaesu rigs
        * New rig_get_conf2 to replace rig_get_conf buffer overflow potential
        * New rot_get_conf2 to reaplce rot_get_conf buffer overflow potential
        * Added Barrett 4050 -- not functional yet
        * Added TCI 1.X -- not functional yet
        * Added TM-V71(A)
        * Added IC-F8101
        * Added JRC JST-145 and JST-245
        * Added Xiegu X108G, G90, and X6100
        * Added CODAN Envoy and NGS
        * Added Lab599 TX-500
        * Added GOMSPACE GS100
        * Deprecated: rigctl commands \set_trn (A) and \get_trn (a) as they never worked as intended
        * Deprecated: field rig_caps.transceive and RIG_TRN_* macros

Version 4.4
        * 2021-12-02
        * Icom rigs now default filter 2 when setting PKTUSB but user can override 
        * Fix FTDX9000 meter readings
        * Add Android sensor as a rotator
        * Added rig_get_vfo to some Icom rigs that have XCHG or 0x25 command capability
        * Added ability to build hamlib with docker
        * Added M0NKA mcHF URP rig
        * Faster serial i/o noticeable on higher baud rates
        * IC7300/9700/7800/785x set_clock/get_clock routines added -- no auto set yet
        * Yaesu FT1200/891/991/DX10/DX101/DX101MP set_clock/get_clock routines added

Version 4.3.1
        * 2021-09-14
        * Bug fix release
            - Do not do vfo_fixup on satmode rigs
            - Fix compilation of misc.c with gmtime_r replacement function for
              mingw
            - Fix python build.  For some reason casting tp vfo_t in the
              RIG_VFO_N macro broke the swig parsing
            - Append the missing information to build hamlib v4.3 for Android
              NDK
            - Change set_icom_set_mode_with_data to not change mode unless
              necessary
            - Since Icom rigs default to filter 2 if a filter is not selected
              we will do the same when turning on data mode
            - Fix segfault in kenwood_set_vfo
            - scripts: Update example in readme, since 4.0 817 is 1020
            - Make testlibusb.c compatible with libusb < 1.0.23
              Note: On systems with libusb < 1.0.23 a warning will be emitted
              but compilation should proceed without error.
            - Update testlibusb.c warning to "may be" instead of "will be"
            - Change kenwood to only set VFOA default on 1st rig_open call

Version 4.3
        * 2021-09-01
        * libusb-1.0.23 or greater is now required or use --without-libusb
        * Generating documentation now requires GNU source-highlighter.
        * Added IC-575
        * Less VFO swapping of newer Icom rigs -- zero swapping in WSJTX and JTDX
        * Dual rotator control in rotctl -R option
        * Started work on simulators -- very crude right now but usable to debug some things
        * Overhaul of rig split -- reverse split (VFOA=RX VFOB=TX) should work for rigs capable of it
          Starting VFO does not matter -- rig will end up on RX VFO
          S VFOA 1 VFOB
          S VFOB 1 VFOA
          S Main 1 Sub
          S Sub 1 Main

Version 4.2
        * 2021-05-17
        * New rig_get_mode_bandwidths -- returns token set for bandwidths for given mode
              Rig command: \get_mode_bandwidths CW
              Mode=CW
              Normal=500Hz
              Narrow=50Hz
              Wide=2400Hz
        * New rig_get_info  -- returns token set for all vfos where order does not matter
          This is a string return to allow for easy future expansion without changing the API
          New tokens may be introduced and can be skipped if not used by clients
              Rig command: \get_rig_info
              VFO=Main Freq=145000000 Mode=None Width=0 RX=1 TX=1
              VFO=VFOB Freq=145000000 Mode=FM Width=15000 RX=0 TX=0
              Split=0 SatMode=0
              Rig=Dummy
              App=Hamlib
              Version=20210429
              CRC=0xf49f4708
        * New rig_get_vfo_info
              Rig command: \get_vfo_info VFOA
              Freq: 145000000
              Mode: None
              Width: 0
              Split: 0
              SatMode: 0

        * FILPATHLEN has changed to HAMLIB_FILPATHLEN

        * USRP lib and gnuradio are deprecated and will be removed in 5.0
        * Added Radan rotator
        * Added Malachite SDR
        * Major rework for PRM80
        * Add twiddle_timeout and twiddle_rit --set-conf options
              rigctld --set-conf=twiddle_timeout=5,twiddle_rit=1
              This will set the twiddle timeout to 5 seconds and turn on twiddle_rit
              For twiddle timeout VFOB will not be polled for 5 seconds after VFO twiddling
	      is detected
        * rigctld --twiddle is deprecated and will be removed in 5.0 along with
          get_twiddle and set_twiddle
        * Rework Doxygen manual including default layout for Doxygen 1.9.1.  So far
          the amplifier, rotator, and utilities API sections have been updated.  The
          rig (radio) section remains to be updated.

Version 4.1
        2021-01-31
        * rigctld and rigs should be more robust for disconnect problems
        * Several fixes for Icom and Yaesu rigs
        * Nobody should need to use rig->caps or rig->state anymore
             If you need a variable added please contact us.
             Note that rig->state abstraction is not implemented yet...no need known
        * New rig_get_caps_int and rig_get_caps_cptr functions to replace using caps-> values
        * New rig_get_function to replace using caps-> function pointers
        * Fix shared library problem with WSJTX, JTDX, and JS8Call
        * New model Barrett 950

Version 4.0
        2020-11-29
        * API/ABI changes, advance ABI to 4 0 0.
        * Add GPIO and GPION options for DCD.  Jeroen Vreeken
        * New backend: ELAD FDM DUO.  Giovanni, HB9EIK.
        * New RIG_LEVEL_RFPOWER_METER_WATTS level
        * All channel functions now take a vfo argument
	* New rotator backend: iOptron. Bob, KD8CGH
	* New model: Icom IC-R8600.  Ekki, DF4OR
	* New utility: rigctlcom.  Mike, W9MDB
	* New model: FT847UNI for unidirectional early serial numbers.  Mike, W9MDB
	* Remove GNU Texinfo files and build system dependency.
        * Rig model numbers have changed to allow future growth
	* Fix a lot of static code analysis errors and warnings.  Mike, W9MDB
	* Rearrange directory structure to put rigs and rotators sources
	  under their own subdirectories.  Mike, W9MDB
        * rig_get_channel changed to add read_only flag.
        * rigctl(d) f command also returns VFO now.
        * caching of vfo, frequency, mode, and ptt speeds up rigctld for all.
        * caching of kenwood/yaesu "IF" speeds up polling from WSJTX/JTDX.
        * rig_get_channel now has read_only flag but it still needs to be
          implemented based on rig behavior, so if you use rig_get_channel you
          may get a RIG_ENIMPL error to contact us for fixing it.
        * New rig backend for Elecraft K4.
        * New rig backend for PowerSDR (Flex and Apache users).
        * Many fixes and enhancements.  Mike, W9MDB and many contributors
        * PTT port is no longer shared by default, use --set-conf=ptt_share=1 to enable

Version 3.3
        2018-08-12
        * New models, R&S xk2100, TRXMAnager, Meade LX200
        * HTML manual is now generated at 'make dist' so users don't
          need GNU Info tools installed.  TNX Greg, N1DAM for the suggestion.
        * Handle longer udev generated file names up to 512 characters
        * Add debug time stamps with new '-Z' option and '--debug-time-stamps'
          options to rigctl, rotctl, rigctld, and rotctld utilities.
        * rigctld/rotctld continue working after serial or TCP device
          disappears.
        * Updates and fixes to FT-817, K3, IC-7300, AOR 3030, TM-D710,
          OMNI VII, TH-D72, Flrig, TS-590, piHPSDR, TS-2000, and netrigctl.
        * Update utility manual pages (section 1) and remove their reference
          material from the Info manual so it only needs to be update in one
          file.
        * Add new general project manual pages (section 7) and edit the Info
          manual to match.  These should not change much so keeping them in
          sync should not be too much of a burden.  The Info manual may be
          removed at some point in the future.
        * Last planned release of the present API/ABI.  Future releases will
          require recompilation and relinking by client programs using the C
          library interface (programs that only use the network daemons should
          be unaffected).

Version 3.2
        2018-03-15
        * New models, IC-7850/IC-7851 in IC-785x.  Mike, W9MDB
        * Fix ft991_get_mode, Mike, W9MDB
        * New model, FT-891.  Mike, W9MDB
        * New Barrett 2050 backend, Mike, W9MDB
        * New Flrig backend, Mike, W9MDB
        * New model, IC-M710, Mike, W9MDB
        * Build instructions and test script for Python3
        * Rename autogen.sh to bootstrap and don't call configure
        * micro-ham support. Christoph, DL1YCF
        * New rotator, SPID MD-01/02 in ROT2 mode, Norvald Ryeng, LA6YKA
        * New model, Flex 6400/6600, Mike, W9MDB
        * New model, IC-7610, Mike, W9MDB
        * Add support for CM108B PTT, Max Lock
        * Many other bug fixes and enhancements

Version 3.1
	2016-12-31
	* Fix kenwood_set_mode for ts590s and mode CW, RTTY or AM.
	  Tks Tom, DL1JBE
	* Proper IPV6 and dual stack networking. Bill, G4WJS
	* Add a new command line option '--no-restore-ai' ('-n') to rigctl.
	  Bill, G4WJS
	* Fix missing PKTUSB mode setting code for FT-817 & FT-897.  Bill, G4WJS
	* New Prosistel rotor backend from IZ7CRX
	* Install daemon man files to man1.  Nate, N0NB
	* Migrate from libusb-0.1 to libusb-1.0.  Stephane, F8CFE
	* Added support for Icom IC-2730.  robinolejnik
	* Added support for the Icom IC-7300. Mike, W9MDB
	* Add send_morse to icom rigs.  Mike, W9MDB
	* added instructions how to compile on OSX. DH1TW
	* New Perseus model.  Stephane, F8CFE
	* Added Lua binding and demo script.  Ervin, HA2OS
	* Added test to support Flex 6300.  Bill, KB4AAA
	* Many bug fixes and feature enhancements to the code base.  See the
	  Git commit log for complete details.

Version 3.0
	2015-09-20
	* Kill RPC backends and rpc.rigd/rpc.rotd
	* Remove -e|--end-marker option from rigctld and rotctld
	* Build system updates--remove obsolete macros, autogen.sh now
		runs autoreconf to invoke Autotools to bootstrap the build
		system, libltdl is installed into the source tree as a part
		of the build system bootstrap and is included in the source
		tarball, ABI version is set to be compatible with the 1.2
		series, all Autotools installed files are copied rather than
		symlinked and put in the build-aux directory, building
		rigmem and rigmatrix are now user selectable at configure
		run time, building static libraries are disabled by default.
		Fixed TCL binding installation, fixed Perl binding build so it
		is not invoked by 'make dist' and clean up build files.  Cleaned
		up bindings builds to occur in alphabetical order.  Use new
		ax_pkg_swig macro and update ax_python_devel macro.  Test for
		presence of pkg-config before testing for pkg-config use.
	* Implement new RIT/XIT activation/deactivation through rig_get/set_func()
	* IC-PCR1500/2500 default write_delay to 0, IC-746/756, IC-PCR8500
		fixes, pcr.c, pcr1500.c: Add DSP support.  TNX Paul, KE7ZZ
	* WinRadio G313 updates.  TNX Julian Campbel
	* Readline editing and history support added to rigctl interactive
		mode.  Implement options for reading and writing history file.
	* Readline editing and history support added to rotctl interactive
		mode.  Implement options for reading and writing history file.
	* A new manual draft written in Texinfo added.  Both GNU Info and single
		HTML files are built and distributed, requires makeinfo.
	* Android build system support.  See android/README.android.  Android
		Makefile fragments are included in source tarballs.
	* Monolithic library, thanks to Remi Chateauneu for the majority of
		the work!  This allows enabling of a single static library so
		static libs are enabled by default.  Removes dependency on libltdl.
	* Fixes to easycomm, TNX Steve AI4QR.
	* Fixes to port handling allowing PTT and CAT on the same port.  TNX
		Bill, G4WJS.
	* New Peaberry models V1 and V2 added to kit backend.  TNX ON8VQ
		and R2AEE.
	* New IC-7100 model.  TNX Martin, CT1IQI.
	* Use AC_CHECK_LIB macro to search for libusb rather than rely on
	    pkg-config.  Preserve environment variables LIBUSB_CFLAGS and
	    LIBUSB_LIBS as user precious variables.  Two features,
	    --with-xml-support and --enable-usrp still rely on pkg-config so
	    only invoke pkg-config when either or both of these features are
	    selected.  Only the Winradio g313 model uses libdl so test for it
	    only when Winradio backend is enabled.
	* New IC-M700PRO, IC-M710, IC-M802.
	* New Icom ID-5100 model.
	* New rotor, cnctrk by KI4SBL
	* Many backend fixes and updates from many contributors (see Git
	  log for complete details).

Version 1.2.15.3
	2012-11-01
	* Fix configure.ac so that rigctld/rotcld work on Win32 platform
	* Add NSIS script to build executable installer on Win32 platform
	* Remove unsupported commands on IC-756 (non-Pro model) from AK6I
	* Fix set_split in netrigctl.c to properly accept the split
		value.  TNX, N2ADR.
	* IC-R8500: Add RIG_LEVEL_AF to has_set_level.  TNX John, EI7IG
	* ADAT updates from Frank, DG1SBG, needed for stable operation.

Version 1.2.15.2
	2012-08-05
	* Read eeprom value for digital mode from FT-857
	* Clean up TS-950 series commands and read mode using IF command
	* Fix GS-232A/B rotor command terminations
	* Fix warnings and other issues found by mingw-w64
	* Allow seamless access to ports higher than COM9 on Windows
	* Fix ineffective packed attribute on WinRadio
	* Correct low signal strength S-meter error on AR7030+
	* Updates to HiQSDR by Jim, N2ADR

Version 1.2.15.1
	2012-03-11
	* HD-1780 rotor endpoint limit fix
	* Quell adat compile warnings
	* Sort rig/rot list output from rig/rotctl (-l) by model #
	* TenTec Jupiter (TT538) fixes
	* Include various backend notes files
	* Document sorted -l output for <rig|rot>ctl[d]
	* Updates README.betatester and README.developer

Version 1.2.15
	2012-02-02
	* New models: TT-599 Eagle, IC-RX7, IC-1275, HiQSDR, ADAT ADT-200A,
		DttSP UDP, TM-D710
	* New rotator backends: Celestron (telescope mount)
	* Fixes and features: K3, various other rigs
	* Update LGPL/GPL header boilerplate
	* Quell various compiler errors
	* Add CM108 PTT capability

Version 1.2.14
	2011-08-01
	* New models: SigFox Transfox, TH-D72A, IC-7410, IC-9100, IC-R9500, KX3,
		V4L2 API support (untested),
	* New rotator backends: IF-100, TS-7400
	* Fixes and features: K3/KX3, Build Win32 from script, rigctld/rotctld
		ported to Mingw32, Win32 build fixes, remove obsolete bundled
		libtool files, rigctl improvements, FUNcube string test (works
		with V0.0 and V1.0), Yaesu newcat.c fixed to use
		rig->state.current_vfo to store vfo value, add a command to
		halt rigctld, select PTT source in Kenwood backends (TS-590S),
		make sure scan is stopped at IC-9000 opening, thd72 get channel
		data (alpha).  See ChangeLog for a link to the online log.
		Correct typos and SF.net URIs.

Version 1.2.13.1
	* 2011-05-29
	* Conversion to Git SCM and updated README documentation for Git SCM
	* Mingw32 build fixes
	* FUNcube dongle USB fixes for Win32
	* Added kit/README.funcubedongle
	* Bug fix--K3 antenna selection function

Version 1.2.13
	2011-03-12
	* New models: VX-1700, FUNcube Dongle, FiFi-SDR, KTH-SDR Si570,
		FT-DX5000, TS-590S, TH-F6A, PRM8060, SR-2200
	* Rotor fixes and features: SPID
	* New Rotor backend: F1TE Tracker
	* Fixes and features: TS-440S, K2, K3, THF6A, THF7E, NewCAT
		rigs serial port defaults, TM-D700, FT-950, Si570 AVR-USB
	* Removed libtool tree from source tree
	* Removed old DocBook files
	* Allow USB device's VID/PID/Vendor/Product to be explicitly specified
	* Doxygen documentation updates and new style sheet

Version 1.2.12
	2010-09-03
	* New models: PCR-2500, RX331, TRP 8255 S R
	* New rotator backends: DF9GR's ERC
	* Fixes and features: Paragon, TS-690S, FT-920, FT-990, FT-2000,
        Elektor SDR-USB, IC-7000, IC-7700, AR-8200, AR-8600

Version 1.2.11
	2010-05-31
	* New models: RA-3702, IC-738, IC-7600, IC-7700, AR 7030+,
        FT-980, TT-536 Delta-II, R&S EB200
	* New rotator backends: GS-232B, GS-232 (not A or B), ARS RCI, M2 RC2800
	* Fixes and features: TH-F7E, FT-847, FT-736, FT-920, FT767GX, FT-747,
        FT-950, FT-450, Yaesu NewCAT, PCR*, IC-706MkIIG, IC-7800, R-8A, Paragon
	* rigctld/rotctld
	* ltdl security update
	* IPv6 ready
	* bindings not built by default

Version 1.2.10
	2009-11-02
	* New models: IC-7200, PCR-1500, RX-340, R&S ESMC, BC898T,
		Si570 AVR-USB, Paragon (skeleton)
	* New rotator backend: SPID
	* Fixes and features: TH-F7E, K2, FT-920, Yaesu NewCAT, IC-7000, IC-7800,
		IC-910, IC-718, IC-756PROIII, Tentec Orion, Jupiter, RX320, AOR-8000,
		PCR-1000, Video4Linux, all the kenwood backends, GS-232A
	* ABI version in backend symbols
	* expose PTT/DCD setup through rig_set_conf()
	* Parallel port PTT now following cwdaemon (STROBE+INIT) interface
	* bindings
	* ltdl update

Version 1.2.9
	2009-02-25
	* New models: FT2000, FT9000, TT-588 Omni VII, FT-840, NRD525, Winradio G305, TRC-80
	* New rotator backend: Heathkit HD 1780 Intellirotor
	* Fixes and features: IC-706*, IC-910, K2, K3, DWT, PCR-100, PCR-1000, RX-320,
		FT-450, FT-747, FT-817, FT-847, FT-857, FT-990, FT-1000D, Orion, netrot,
		Rotor-EZ, dummy rig and dummy rotator
	* Bug fix in qrb()
	* Better assisted split operation
	* ext_level/ext_parm examples
	* Documentation update

Version 1.2.8
	2008-11-02
	* New models: BC235, BC250, BC780, PRO-2052,
		BCD396T, BCD996T, K3, FT950
	* New pseudo models: netrigctl/netrotctl, backends ala rpcrig/rpcrot,
		but based on rigctld/rotctld
	* New rotator backend: GS232A, PcRotor
	* Removed microtune backend
	* Fixes: DttSP, IC-275, IC-475, IC-725, IC-735, IC-756PRO, IC-761,
		IC-775, IC-781, IC-706*, Kenwood TH/TM models, Orion,
		BC245, BC895, FT-100, FT757GX, FT-857, FT-897, FT-920
	* Numerous bindings fixes, esp. for memory channel works
	* New commands available in rigctl
	* New rotctld to go with rigctld rig daemon.
		The protocol changed, but there's the compatibility
		option -e to pass to the daemon for previous protocol.

Version 1.2.7.1
	2008-04-11
	* New model: miniVNA
	* Fixes: FT1000MP, Tentec Orion, Omni VI Plus
	* AOR: implemented scanning
	* Kenwood models TS2000, TS870S can now get/set antenna.
          	TS2000 gained strength meter calibration.

Version 1.2.7
	2008-02-13
	* Improved Documentation
	* New models: IC-820H, DttSP, Elektor SDR-USB, DDS-60,
		      FT-450, FT-767GX
	* Fixes: IC-746, IC-765, IC-910, Kenwood, FT1000MP, FT817, ..
	* New rigsmtr toy to graph polar signal strength
	* New experimental rigctld rig daemon, with simple protocol

Version 1.2.6.2
	* Fixes: TS570 (Split, RIT/XIT), IC910H
	* Improved Tentec Orion,RX-320 functionality
	* Improved Winradio G-313
	* Better man pages

Version 1.2.6.1
	* Icom protocol fixes
	* bindings build fixing

Version 1.2.6
	2006-12-22
	* Bump version to 1.2.6
	* no changes from 1.2.6rc1

Version 1.2.6rc1
	2006-12-10
	* Python 2.4 compatibility
	* Improved TS570 functionality
	* Improved Argonaut V functionality
	* New models: IC7000, G313i/G313e
	* Many Icom, Kenwood, and Tentec fixes.
	* Build system fixes

Version 1.2.5
	2006-02-26
	* frontend API: support for clonable rigs
		- rigmem: CSV format change
		- rigctl: new send_cmd for protocol debugging purpose
		- easy USB devices support
	* new models: AR8600, AR2700, DWT (DLL based under Windows,
					   need test under other OS)
	* fixes: big AOR update, AR7030, Orion, NRD-545, RX-320,
		 FT-817, FT-990, TS-2000, Easycomm
	* port: BSD fix of parallel port support

Version 1.2.4
	2005-04-03
	* frontend API: port_t renamed as hamlib_port_t
	* new models: TS-480, VR5000, FT1000MkV Fld
	* fixes: TS-570S, AR7030, AR3000A, Orion, FT-897, IC746
	* port: fixed 64bit int handling which potentially fixes backends
		kenwood/alinco/pcr/uniden/aor/jrc/tentec,
		added xBSD parallel port support

Version 1.2.3
	2004-11-17
	* frontend API: LEVEL_SQLSTAT marked as deprecated
	* new backends: Racal, V4L radio cards, Watkins-Johnson 8888
	* new models:  IC-78, IC-7800, IC-R20, IC-756PROIII
	* fixes: AOR 5k&8k: added S-Meter, 7030: fixed freq,
		IC-R8500: calibrated S-Meter, Jupiter and many others..
	* port: mingw32 support with gcc 3.4 version

Version 1.2.2
	2004-08-23
	* new models: Ten-Tec (Orion), AOR 3030, Yaesu FRG's, Skanti
	* fixes: JRC NRD435 & NRD535, Drake, AOR3000, and many other
	* port: Fixes for BRK/RTS/DTR handling under win32 (-> Elektor304)
	* bindings: updated Visual Basic wrapper file
	* rigswr: new command to measure VSWR vs frequency

Version 1.2.1
	2004-05-19
	* API change: added RIG_AGC_MEDIUM enum
	* new backends: kit (Elektor304)
	* new models: Winradio (G303 under Win32), Kenwood (TMD700,R5000,..),
		Yaesu(FT757GX,FRG8800), Ten-Tec (Jupiter,RX340,RX350)
	* fixes: JRC NRD435 & NRD535, and many other
	* port: made rig.h more Visual C++ friendly, along an import lib

Version 1.2.0
	2004-02-16
	* API change:
		- freq_t type changed from long long to double
		- setting_t changed from long long to long int.
		- locator and dec/dms interface rework
		- bump library CURRENT version info
	* new backends: Lowe (HF-235), FlexRadio (SDR-1000),
			skeleton TAPR (DSP-10), skeleton RFT,
			Ten-Tec models and many new models & fixes
	* new rotator backends: sartek
	* frontend: emulated transceive mode using polling
	* icom: implemented retry, esp. useful for CI-V
	* icom: pipelined tuning on Optoscan's
	* microtune: no need of root privileges anymore
	* bindings: added Python, new install method (perl is installed in $prefix)
	* rigmem: new command to load/store memory content from/to XML file
	* port: NetBSD & FreeBSD, mingw32(Windows) port, MacOSX ready

Version 1.1.4
	2003-04-28
	* new backends: Drake (R8B), GNU Radio (experimental), microtune,
	  and many new rig models
	* new rotator backends: fodtrack, rotorez
	* better doxygenized documentation
	* reworked perl and tcl bindings using swig
	* vfo_t rework
	* gcc-3.x compilance

Version 1.1.3
	2002-06-17
	* new backend: JRC (NRD-545), and many new rig models
	* rotator frontend, new easycomm backend
	* added Kylix and perl bindings and completed tcl/tk support
	* networked (RPC) rig and rotator

Version 1.1.2
	2001-09-23
	* License converted to LGPL
	* new backends: Alinco (DX-77), Uniden (BC895),
					Ten-Tec (RX320), Kachina (505DSP)
	* New port_t design, coming with easy rig auto-probe
	* mv_ctl replaced by vfo_op, set_vfo/get_vfo extended to RIG_VFO_MEM
	* set_conf/get_conf for opaque variable parameters setting
	* Better portability, esp. with libtool (DLL dlopen'ing works under Win32 !)
	* added C++ and tcl/tk bindings (not complete yet)
	* converted from hamlib-doc to doxygen in-source interface documenting

Version 1.1.1
	2001-05-26
	* new backends: Kenwood (TS870S), WiNRADiO, PCR-1000, Dummy (for tests)
	* Hamlib frontend will take care of backends that can't target VFO.
	* Extended API: caps, levels, parms, etc.
	* rig_set_mode/rig_get_mode changed again, now use filter caps
	* more fields shadowed in rig->state, etc.
	* rigctl now works also non-interactively
	* get_channel/set_channel can be emulated and new dumpmem utility
	* will not compile on pure ANSI C compiler, because of gcc struct extension

Version 1.1.0
	2000-11-11
	* First draft of a generic API, abstracting radios differences
	  behind a set of capabilities.
	* Hamlib is (somewhat) conform to GNU coding standards, and so it uses
	  configure script generated by Automake and Autoconf
	* Included hamlib-doc system to generate man pages, API
	  references in html format.
	* 2 new backends: Icom (CI-V) with IC706 series, and AOR (AR8200)

Version 1.0.0
	Initial release.


-------------------------------------------------------
Copying information:

This file is licensed to you under the license specified in the included file
`LICENSE'. Look there for further details.
